This plugin hasn’t been tested with the latest 3 major releases of WordPress. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

FeedDisabler Plugin


Provides a custom error, using wp_die(), when any type of feed is attempted.

Feature Overview

  • Removal of ALL feeds
  • Allows for private (more secure) blogs
  • Works great with the “Private WP” plugin (requires login to view blog)

Important Notes

This is my very first plugin. I found it /very/ strange that nobody had done this.


To install the plugin follow these steps :

  1. Download the file to your local machine.
  2. Unzip the file
  3. Upload “feeddisabler.php” to the “/wp-content/plugins/” directory
  4. Activate the plugin through the ‘Plugins’ menu in WordPress

* You can edit feeddisabler.php to re-word your error message.


Can I customize the error message?

Yes, simply edit the feeddisabler.php file and change the text inside the wp_die() function.

Contributors & Developers

“FeedDisabler Plugin” is open source software. The following people have contributed to this plugin.


Translate “FeedDisabler Plugin” into your language.

Interested in development?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.